Bug 186912 - Review Request: k3b-extras: Free codec plugins for k3b
Review Request: k3b-extras: Free codec plugins for k3b
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Package Reviews List
:
Depends On: 186909
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-27 08:51 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-01 19:13:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-03-27 08:51:48 EST
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/k3b-extras.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/k3b-extras-0.12.14-1.src.rpm
Description: 
Free decoder/encoder plugins for k3b, including:
musepack decoder (libmpcdec)
sndfile decoder (libsndfile)
Comment 1 Jochen Schmitt 2006-03-27 12:26:30 EST
Can't connect to abouve URL
Comment 2 Rex Dieter 2006-03-27 12:29:05 EST
WORKSFORME.  

You can alternatively substitute kde-redhat.unl.edu for apt.kde-redhat.org. 
Does that help?
Comment 3 Michael Schwendt 2006-03-27 13:02:13 EST
Rex, the apt.kde-redhat.org domain should be known for a long time
as being unreachable for all (or nearly all) T-Com networks. And "very
long" here means "many months or even years". And believe me, the rest
of the net works flawlessly.

http://apt.kde-redhat.org/ => http://129.93.181.6/  no problems.

Look:

$ host apt.kde-redhat.org
Host apt.kde-redhat.org not found: 2(SERVFAIL)

$ host -a kde.redhat.org
Trying "kde.redhat.org"
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 4844
;; flags: qr rd ra; QUERY: 1, ANSWER: 4, AUTHORITY: 0, ADDITIONAL: 0

;; QUESTION SECTION:
;kde.redhat.org.                        IN      ANY

;; ANSWER SECTION:
kde.redhat.org.         300     IN      A       209.200.153.152
kde.redhat.org.         6000    IN      NS      ns2.sedoparking.com.
kde.redhat.org.         6000    IN      NS      ns1.sedoparking.com.
kde.redhat.org.         6000    IN      SOA     ns1.sedoparking.com.
hostmaster.sedo.de. 2000013101 28800 7200 604800 86400


$ host  apt.kde-redhat.org ns1.sedoparking.com
Using domain server:
Name: ns1.sedoparking.com
Address: 217.160.95.94#53
Aliases: 

apt.kde-redhat.org has address 209.200.153.152
Using domain server:
Name: ns1.sedoparking.com
Address: 217.160.95.94#53
Aliases: 

Using domain server:
Name: ns1.sedoparking.com
Address: 217.160.95.94#53
Aliases: 


$ host  apt.kde-redhat.org ns2.sedoparking.com
Using domain server:
Name: ns2.sedoparking.com
Address: 217.160.141.42#53
Aliases: 

apt.kde-redhat.org has address 209.200.153.152
Using domain server:
Name: ns2.sedoparking.com
Address: 217.160.141.42#53
Aliases: 

Using domain server:
Name: ns2.sedoparking.com
Address: 217.160.141.42#53
Aliases: 


$ host  apt.kde-redhat.org 209.200.153.152
;; connection timed out; no servers could be reached
Comment 4 Rex Dieter 2006-03-27 15:11:31 EST
Thanks Michael, I had no idea the problem was that wide-spread.  I've forwarded
your comments to my DNS hosting provider.
Comment 5 Michael Schwendt 2006-04-01 16:34:04 EST
* The "k3b >= 0.12.14" requirement is too much. "k3b >= 0.12" for the k3b
0.12 series would be acceptable. FC-4 still includes k3b-0.12.10 where
this k3b-extras package _would_ install and work just fine. Whether the
k3b soname versions are strict enough? Maybe. libk3bdevice's soname has
not changed since k3b 0.11, though.

* "BR taglib-devel libmusicbrainz-devel" not needed.

Else: APPROVED
Comment 6 Rex Dieter 2006-04-01 18:14:22 EST
> Requires: k3b >= 0.12
agreed.

> Extraneous BR: taglib-devel, libmusicbrainz-devel
good point.

Don't forget the we're including sndfile decoder (libsndfile) here which would
(currently) conflict with a certain other pkg from that other must-not-be-named
repo.  (-:
Comment 7 Rex Dieter 2006-04-01 19:13:22 EST
Thanks, imported.

Note You need to log in before you can comment on or make changes to this bug.